## ENameWestern

ENameWestern

## Functions

ENameWestern * | e_name_western_parse ()
void | e_name_western_free ()

## Types and Values

| ENameWestern

## Description

## Functions

### e_name_western_parse ()

    ENameWestern *
    e_name_western_parse (const gchar *full_name);

Parses `full_name` and returns an ENameWestern struct filled with the component parts of the name.

#### Parameters

full_name | A string containing a western name. |

#### Returns

A new ENameWestern struct.

### e_name_western_free ()

    void
    e_name_western_free (ENameWestern *w);

Frees the `w` struct and its contents.

#### Parameters

w | an ENameWestern struct |

## Types and Values

### ENameWestern

    typedef struct {
    	/* Public */
    	gchar *prefix;
    	gchar *first;
    	gchar *middle;
    	gchar *nick;
    	gchar *last;
    	gchar *suffix;

    	/* Private */
    	gchar *full;
    } ENameWestern;